Bug 909072 (CVE-2013-0262)

Summary: CVE-2013-0262 rubygem-rack: Path sanitization information disclosure
Product: [Other] Security Response Reporter: Kurt Seifried <kseifried>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: bkabrda, bkearney, bleanhar, ccoleman, cpelland, dajohnso, dmcphers, iboverma, jeckersb, jialiu, jlieskov, jneedle, jomara, katello-bugs, katello-internal, lmeyer, mastahnke, mcressma, mmccune, mmorsi, morazi, mrg-program-list, msuchy, sclewis, tkramer, vanmeeuwen+fedora, vondruch
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20130208,reported=20130208,source=oss-security,cvss2=4.3/AV:N/AC:M/Au:N/C:P/I:N/A:N,cloudformscommon-1/rubygem-rack=notaffected,epel-all/rubygem-rack=notaffected,fedora-16/rubygem-rack=notaffected,fedora-17/rubygem-rack=affected,fedora-18/rubygem-rack=affected,mrg-2/rubygem-rack=notaffected,openshift-1/rubygem-rack=notaffected,openshift-1/ruby193-rubygem-rack=affected,openshift-enterprise-1/rubygem-rack=notaffected,openshift-enterprise-1/ruby193-rubygem-rack=affected,sam-1/rubygem-rack=notaffected
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-03-15 00:17:24 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 909075, 909076, 909077, 909078    
Bug Blocks: 909080    

Description Kurt Seifried 2013-02-08 02:59:43 EST
James Tucker (raggi@google.com) reports:

CVE: CVE-2013-0262
Software: Rack (rack.github.com)
Type of vulnerability: Information Disclosure
Vulnerable code: https://github.com/rack/rack/blob/master/lib/rack/file.rb#L56
Patch: https://github.com/rack/rack/commit/6f237e4c9fab649d3750482514f0fde76c56ab30
Versions affected: All versions after 1.4.0
Versions fixed: 1.4.5, 1.5.2
Reporter: Ben Murphy
Comment 1 Kurt Seifried 2013-02-08 03:02:12 EST
Created rubygem-rack tracking bugs for this issue

Affects: fedora-17 [bug 909075]
Comment 2 Kurt Seifried 2013-02-08 03:02:50 EST
Created rubygem-rack tracking bugs for this issue

Affects: fedora-18 [bug 909076]
Comment 5 errata-xmlrpc 2013-03-12 13:59:26 EDT
This issue has been addressed in following products:

  RHEL 6 Version of OpenShift Enterprise

Via RHSA-2013:0638 https://rhn.redhat.com/errata/RHSA-2013-0638.html
Comment 6 Fedora Update System 2013-05-07 14:29:13 EDT
rubygem-rack-1.4.0-4.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2013-05-07 14:32:53 EDT
rubygem-rack-1.4.0-5.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.